MessageResourcesFactory (Apache Struts API Documentation)
Keywords: org.apache.struts.util.MessageResourcesFactory,MessageResourcesFactory class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.util
Class MessageResourcesFactory

    java.lang.Object
      |
      +--org.apache.struts.util.MessageResourcesFactory

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  PropertyMessageResourcesFactory

public abstract class MessageResourcesFactory
extends java.lang.Object
implements java.io.Serializable

Factory for `MessageResources` instances. The general usage pattern for this class is:

- Call `MessageResourcesFactory().createFactory()` to retrieve a `MessageResourcesFactory` instance.
- Set properties as required to configure this factory instance to create `MessageResources` instances with desired characteristics.
- Call the `createResources()` method of the factory to retrieve a newly instantiated `MessageResources` instance.

Version:
  $Revision: 1.1 $ $Date: 2003-08-22 09:43:31 +0100 (Fri, 22 Aug 2003) $
Author:
  Craig R. McClanahan
See Also:
  Serialized Form

Field Summary
`protected static java.lang.Class` | `clazz` The Java class to be used for `MessageResourcesFactory` instances.
`protected static java.lang.String` | `factoryClass` The fully qualified class name to be used for `MessageResourcesFactory` instances.
`private static org.apache.commons.logging.Log` | `LOG` Commons Logging instance.
`protected boolean` | `returnNull` The "return null" property value to which newly created MessageResourcess should be initialized.

Constructor Summary
`MessageResourcesFactory()`

Method Summary
`static MessageResourcesFactory` | `createFactory()` Create and return a `MessageResourcesFactory` instance of the appropriate class, which can be used to create customized `MessageResources` instances.
`abstract MessageResources` | `createResources(java.lang.String config)` Create and return a newly instansiated `MessageResources`.
`static java.lang.String` | `getFactoryClass()` The fully qualified class name that is used for `MessageResourcesFactory` instances.
`boolean` | `getReturnNull()` Get default value of the "returnNull" property used to initialize newly created MessageResourcess.
`static void` | `setFactoryClass(java.lang.String factoryClass)` Set the fully qualified class name that is used for `MessageResourcesFactory` instances.
`void` | `setReturnNull(boolean returnNull)` Set the default value of the "returnNull" property newly created MessageResourcess are initialized to.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### returnNull

    protected boolean returnNull

  The "return null" property value to which newly created MessageResourcess should be initialized.

### clazz

    protected static transient java.lang.Class clazz

  The Java class to be used for `MessageResourcesFactory` instances.

### LOG

    private static org.apache.commons.logging.Log LOG

  Commons Logging instance.

### factoryClass

    protected static java.lang.String factoryClass

  The fully qualified class name to be used for `MessageResourcesFactory` instances.

Constructor Detail

### MessageResourcesFactory

    public MessageResourcesFactory()

Method Detail

### getReturnNull

    public boolean getReturnNull()

  Get default value of the "returnNull" property used to initialize newly created MessageResourcess.

  Returns:
    default value of the "returnNull" property newly created MessageResourcess are initialized to.

### setReturnNull

    public void setReturnNull(boolean returnNull)

  Set the default value of the "returnNull" property newly created MessageResourcess are initialized to.

  Parameters:
    `returnNull` - default value of the "returnNull" MessageResourcess are initialized to.

### createResources

    public abstract MessageResources createResources(java.lang.String config)

  Create and return a newly instansiated `MessageResources`. This method must be implemented by concrete subclasses.

  Parameters:
    `config` - Configuration parameter(s) for the requested bundle

### getFactoryClass

    public static java.lang.String getFactoryClass()

  The fully qualified class name that is used for `MessageResourcesFactory` instances.

  Returns:
    class name that is used for `MessageResourcesFactory` instances

### setFactoryClass

    public static void setFactoryClass(java.lang.String factoryClass)

  Set the fully qualified class name that is used for `MessageResourcesFactory` instances.

  Parameters:
    `factoryClass` - name that is used for `MessageResourcesFactory` instances

### createFactory

    public static MessageResourcesFactory createFactory()

  Create and return a `MessageResourcesFactory` instance of the appropriate class, which can be used to create customized `MessageResources` instances. If no such factory can be created, return `null` instead.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 - Apache Software Foundation